---
apiVersion: kubevirt.io/v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:43Z"
    finalizers:
    - kubevirt.io/migrationJobFinalize
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vmb-macspoof-1761742369-3811502
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:43Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:sourcePod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:27:03Z"
    name: kubevirt-workload-update-855gk
    namespace: test-upgrade-namespace
    resourceVersion: "2235676"
    uid: 9aed6131-e353-4e05-95a4-7bb381164ff7
  spec:
    vmiName: vmb-macspoof-1761742369-3811502
  status:
    migrationState:
      sourcePod: virt-launcher-vmb-macspoof-1761742369-3811502-7kcft
    phase: Scheduling
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:43Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:27:03Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:44Z"
    finalizers:
    - kubevirt.io/migrationJobFinalize
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: always-run-strategy-vm-1761740915-1197596
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:44Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:sourcePod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:26:44Z"
    name: kubevirt-workload-update-8997d
    namespace: test-upgrade-namespace
    resourceVersion: "2235015"
    uid: 1b71144a-887a-4df6-8780-eb29154c4a12
  spec:
    vmiName: always-run-strategy-vm-1761740915-1197596
  status:
    migrationState:
      sourcePod: virt-launcher-always-run-strategy-vm-1761740915-1197596-vgnrq
    phase: Pending
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:44Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:38Z"
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: fedora-hotplug-upg-1761741601-3103356
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:38Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:completed: {}
            f:endTimestamp: {}
            f:migrationConfiguration:
              .: {}
              f:allowAutoConverge: {}
              f:allowPostCopy: {}
              f:allowWorkloadDisruption: {}
              f:bandwidthPerMigration: {}
              f:completionTimeoutPerGiB: {}
              f:nodeDrainTaintKey: {}
              f:parallelMigrationsPerCluster: {}
              f:parallelOutboundMigrationsPerNode: {}
              f:progressTimeout: {}
              f:unsafeMigrationOverride: {}
            f:migrationUid: {}
            f:mode: {}
            f:sourceNode: {}
            f:sourcePod: {}
            f:startTimestamp: {}
            f:targetAttachmentPodUID: {}
            f:targetDirectMigrationNodePorts:
              .: {}
              f:33231: {}
              f:34615: {}
              f:45685: {}
            f:targetNode: {}
            f:targetNodeAddress: {}
            f:targetNodeDomainDetected: {}
            f:targetNodeDomainReadyTimestamp: {}
            f:targetPod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:27:13Z"
    name: kubevirt-workload-update-95h6f
    namespace: test-upgrade-namespace
    resourceVersion: "2235934"
    uid: 98bfae35-8279-474f-90d5-03fffd60f6c0
  spec:
    vmiName: fedora-hotplug-upg-1761741601-3103356
  status:
    migrationState:
      completed: true
      endTimestamp: "2025-10-29T13:27:13Z"
      migrationConfiguration:
        allowAutoConverge: false
        allowPostCopy: false
        allowWorkloadDisruption: false
        bandwidthPerMigration: "0"
        completionTimeoutPerGiB: 150
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationUid: 98bfae35-8279-474f-90d5-03fffd60f6c0
      mode: PreCopy
      sourceNode: cnvqe-070.lab.eng.tlv2.redhat.com
      sourcePod: virt-launcher-fedora-hotplug-upg-1761741601-3103356-6pmj5
      startTimestamp: "2025-10-29T13:27:10Z"
      targetAttachmentPodUID: 6097acc1-98e5-4e55-83e5-dd01adae6fdf
      targetDirectMigrationNodePorts:
        "33231": 49153
        "34615": 49152
        "45685": 0
      targetNode: cnvqe-071.lab.eng.tlv2.redhat.com
      targetNodeAddress: 10.128.1.229
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-10-29T13:27:13Z"
      targetPod: virt-launcher-fedora-hotplug-upg-1761741601-3103356-rzz86
    phase: Succeeded
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:38Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:26:54Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-10-29T13:27:09Z"
    - phase: PreparingTarget
      phaseTransitionTimestamp: "2025-10-29T13:27:09Z"
    - phase: TargetReady
      phaseTransitionTimestamp: "2025-10-29T13:27:10Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-10-29T13:27:10Z"
    - phase: Succeeded
      phaseTransitionTimestamp: "2025-10-29T13:27:13Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:38Z"
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: windows-vm-1761741184-1565516
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:38Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:completed: {}
            f:endTimestamp: {}
            f:migrationConfiguration:
              .: {}
              f:allowAutoConverge: {}
              f:allowPostCopy: {}
              f:allowWorkloadDisruption: {}
              f:bandwidthPerMigration: {}
              f:completionTimeoutPerGiB: {}
              f:nodeDrainTaintKey: {}
              f:parallelMigrationsPerCluster: {}
              f:parallelOutboundMigrationsPerNode: {}
              f:progressTimeout: {}
              f:unsafeMigrationOverride: {}
            f:migrationUid: {}
            f:mode: {}
            f:sourceNode: {}
            f:sourcePod: {}
            f:startTimestamp: {}
            f:targetDirectMigrationNodePorts:
              .: {}
              f:39719: {}
              f:42583: {}
            f:targetNode: {}
            f:targetNodeAddress: {}
            f:targetNodeDomainDetected: {}
            f:targetNodeDomainReadyTimestamp: {}
            f:targetPod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:26:51Z"
    name: kubevirt-workload-update-9p25c
    namespace: test-upgrade-namespace
    resourceVersion: "2235212"
    uid: 6e9e2047-a173-421a-b9d7-c978fe60306f
  spec:
    vmiName: windows-vm-1761741184-1565516
  status:
    migrationState:
      completed: true
      endTimestamp: "2025-10-29T13:26:51Z"
      migrationConfiguration:
        allowAutoConverge: false
        allowPostCopy: false
        allowWorkloadDisruption: false
        bandwidthPerMigration: "0"
        completionTimeoutPerGiB: 150
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationUid: 6e9e2047-a173-421a-b9d7-c978fe60306f
      mode: PreCopy
      sourceNode: cnvqe-070.lab.eng.tlv2.redhat.com
      sourcePod: virt-launcher-windows-vm-1761741184-1565516-75kw9
      startTimestamp: "2025-10-29T13:26:47Z"
      targetDirectMigrationNodePorts:
        "39719": 0
        "42583": 49152
      targetNode: cnvqe-072.lab.eng.tlv2.redhat.com
      targetNodeAddress: 10.129.1.225
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-10-29T13:26:51Z"
      targetPod: virt-launcher-windows-vm-1761741184-1565516-hcx8v
    phase: Succeeded
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:38Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:26:39Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-10-29T13:26:46Z"
    - phase: PreparingTarget
      phaseTransitionTimestamp: "2025-10-29T13:26:46Z"
    - phase: TargetReady
      phaseTransitionTimestamp: "2025-10-29T13:26:47Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-10-29T13:26:47Z"
    - phase: Succeeded
      phaseTransitionTimestamp: "2025-10-29T13:26:51Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:43Z"
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vm-for-product-upgrade-ocs-1761740745-9377956
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:43Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:completed: {}
            f:endTimestamp: {}
            f:migrationConfiguration:
              .: {}
              f:allowAutoConverge: {}
              f:allowPostCopy: {}
              f:allowWorkloadDisruption: {}
              f:bandwidthPerMigration: {}
              f:completionTimeoutPerGiB: {}
              f:nodeDrainTaintKey: {}
              f:parallelMigrationsPerCluster: {}
              f:parallelOutboundMigrationsPerNode: {}
              f:progressTimeout: {}
              f:unsafeMigrationOverride: {}
            f:migrationUid: {}
            f:mode: {}
            f:sourceNode: {}
            f:sourcePod: {}
            f:startTimestamp: {}
            f:targetDirectMigrationNodePorts:
              .: {}
              f:35017: {}
              f:36787: {}
              f:38087: {}
            f:targetNode: {}
            f:targetNodeAddress: {}
            f:targetNodeDomainDetected: {}
            f:targetNodeDomainReadyTimestamp: {}
            f:targetPod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:27:01Z"
    name: kubevirt-workload-update-c6mjs
    namespace: test-upgrade-namespace
    resourceVersion: "2235588"
    uid: d5568f54-9994-4b41-a6c6-400f6ce855eb
  spec:
    vmiName: vm-for-product-upgrade-ocs-1761740745-9377956
  status:
    migrationState:
      completed: true
      endTimestamp: "2025-10-29T13:27:01Z"
      migrationConfiguration:
        allowAutoConverge: false
        allowPostCopy: false
        allowWorkloadDisruption: false
        bandwidthPerMigration: "0"
        completionTimeoutPerGiB: 150
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationUid: d5568f54-9994-4b41-a6c6-400f6ce855eb
      mode: PreCopy
      sourceNode: cnvqe-071.lab.eng.tlv2.redhat.com
      sourcePod: virt-launcher-vm-for-product-upgrade-ocs-1761740745-937795lf425
      startTimestamp: "2025-10-29T13:26:58Z"
      targetDirectMigrationNodePorts:
        "35017": 49153
        "36787": 0
        "38087": 49152
      targetNode: cnvqe-070.lab.eng.tlv2.redhat.com
      targetNodeAddress: 10.130.0.252
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-10-29T13:27:01Z"
      targetPod: virt-launcher-vm-for-product-upgrade-ocs-1761740745-937795dnw9j
    phase: Succeeded
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:43Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:26:43Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-10-29T13:26:58Z"
    - phase: PreparingTarget
      phaseTransitionTimestamp: "2025-10-29T13:26:58Z"
    - phase: TargetReady
      phaseTransitionTimestamp: "2025-10-29T13:26:58Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
    - phase: Succeeded
      phaseTransitionTimestamp: "2025-10-29T13:27:01Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:43Z"
    finalizers:
    - kubevirt.io/migrationJobFinalize
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: manual-run-strategy-vm-1761740913-0255337
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:43Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:sourcePod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:26:43Z"
    name: kubevirt-workload-update-ffgn4
    namespace: test-upgrade-namespace
    resourceVersion: "2234973"
    uid: fc0c8df7-43bc-4ddb-8ea2-c79cc71650ea
  spec:
    vmiName: manual-run-strategy-vm-1761740913-0255337
  status:
    migrationState:
      sourcePod: virt-launcher-manual-run-strategy-vm-1761740913-0255337-dxxgm
    phase: Pending
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:43Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:43Z"
    finalizers:
    - kubevirt.io/migrationJobFinalize
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vma-macspoof-1761742364-9158201
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:44Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:sourcePod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:26:44Z"
    name: kubevirt-workload-update-gqj87
    namespace: test-upgrade-namespace
    resourceVersion: "2235002"
    uid: 00fc6562-8937-4023-88b8-6888e692d114
  spec:
    vmiName: vma-macspoof-1761742364-9158201
  status:
    migrationState:
      sourcePod: virt-launcher-vma-macspoof-1761742364-9158201-v5cpb
    phase: Pending
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:44Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:38Z"
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vm-snapshot-upgrade-a-1761741897-5416875
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:38Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:completed: {}
            f:endTimestamp: {}
            f:migrationConfiguration:
              .: {}
              f:allowAutoConverge: {}
              f:allowPostCopy: {}
              f:allowWorkloadDisruption: {}
              f:bandwidthPerMigration: {}
              f:completionTimeoutPerGiB: {}
              f:nodeDrainTaintKey: {}
              f:parallelMigrationsPerCluster: {}
              f:parallelOutboundMigrationsPerNode: {}
              f:progressTimeout: {}
              f:unsafeMigrationOverride: {}
            f:migrationUid: {}
            f:mode: {}
            f:sourceNode: {}
            f:sourcePod: {}
            f:startTimestamp: {}
            f:targetDirectMigrationNodePorts:
              .: {}
              f:35465: {}
              f:45909: {}
            f:targetNode: {}
            f:targetNodeAddress: {}
            f:targetNodeDomainDetected: {}
            f:targetNodeDomainReadyTimestamp: {}
            f:targetPod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:27:01Z"
    name: kubevirt-workload-update-pbrsh
    namespace: test-upgrade-namespace
    resourceVersion: "2235605"
    uid: 5d41c943-d7f8-4ca8-8d4b-1053d1588d86
  spec:
    vmiName: vm-snapshot-upgrade-a-1761741897-5416875
  status:
    migrationState:
      completed: true
      endTimestamp: "2025-10-29T13:27:01Z"
      migrationConfiguration:
        allowAutoConverge: false
        allowPostCopy: false
        allowWorkloadDisruption: false
        bandwidthPerMigration: "0"
        completionTimeoutPerGiB: 150
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationUid: 5d41c943-d7f8-4ca8-8d4b-1053d1588d86
      mode: PreCopy
      sourceNode: cnvqe-070.lab.eng.tlv2.redhat.com
      sourcePod: virt-launcher-vm-snapshot-upgrade-a-1761741897-5416875-v5qj8
      startTimestamp: "2025-10-29T13:26:59Z"
      targetDirectMigrationNodePorts:
        "35465": 0
        "45909": 49152
      targetNode: cnvqe-071.lab.eng.tlv2.redhat.com
      targetNodeAddress: 10.128.1.229
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-10-29T13:27:01Z"
      targetPod: virt-launcher-vm-snapshot-upgrade-a-1761741897-5416875-xvgjs
    phase: Succeeded
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:38Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:26:52Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
    - phase: PreparingTarget
      phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
    - phase: TargetReady
      phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
    - phase: Succeeded
      phaseTransitionTimestamp: "2025-10-29T13:27:01Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:38Z"
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vm-bridge-connected-1761742270-1866953
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:38Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:completed: {}
            f:endTimestamp: {}
            f:migrationConfiguration:
              .: {}
              f:allowAutoConverge: {}
              f:allowPostCopy: {}
              f:allowWorkloadDisruption: {}
              f:bandwidthPerMigration: {}
              f:completionTimeoutPerGiB: {}
              f:nodeDrainTaintKey: {}
              f:parallelMigrationsPerCluster: {}
              f:parallelOutboundMigrationsPerNode: {}
              f:progressTimeout: {}
              f:unsafeMigrationOverride: {}
            f:migrationUid: {}
            f:mode: {}
            f:sourceNode: {}
            f:sourcePod: {}
            f:startTimestamp: {}
            f:targetDirectMigrationNodePorts:
              .: {}
              f:35909: {}
              f:40857: {}
              f:45711: {}
            f:targetNode: {}
            f:targetNodeAddress: {}
            f:targetNodeDomainDetected: {}
            f:targetNodeDomainReadyTimestamp: {}
            f:targetPod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:26:55Z"
    name: kubevirt-workload-update-rm2rw
    namespace: test-upgrade-namespace
    resourceVersion: "2235386"
    uid: 33aa5a4f-6cc5-48ce-af9d-2e7e91dfd4d4
  spec:
    vmiName: vm-bridge-connected-1761742270-1866953
  status:
    migrationState:
      completed: true
      endTimestamp: "2025-10-29T13:26:55Z"
      migrationConfiguration:
        allowAutoConverge: false
        allowPostCopy: false
        allowWorkloadDisruption: false
        bandwidthPerMigration: "0"
        completionTimeoutPerGiB: 150
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationUid: 33aa5a4f-6cc5-48ce-af9d-2e7e91dfd4d4
      mode: PreCopy
      sourceNode: cnvqe-072.lab.eng.tlv2.redhat.com
      sourcePod: virt-launcher-vm-bridge-connected-1761742270-1866953-2f6ps
      startTimestamp: "2025-10-29T13:26:52Z"
      targetDirectMigrationNodePorts:
        "35909": 49152
        "40857": 0
        "45711": 49153
      targetNode: cnvqe-070.lab.eng.tlv2.redhat.com
      targetNodeAddress: 10.130.0.252
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-10-29T13:26:55Z"
      targetPod: virt-launcher-vm-bridge-connected-1761742270-1866953-2b9qk
    phase: Succeeded
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:38Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:26:38Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-10-29T13:26:51Z"
    - phase: PreparingTarget
      phaseTransitionTimestamp: "2025-10-29T13:26:51Z"
    - phase: TargetReady
      phaseTransitionTimestamp: "2025-10-29T13:26:52Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-10-29T13:26:52Z"
    - phase: Succeeded
      phaseTransitionTimestamp: "2025-10-29T13:26:55Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:48Z"
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: vm-for-post-copy-upgrade-test-1761741230-6668174
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:48Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:completed: {}
            f:endTimestamp: {}
            f:migrationConfiguration:
              .: {}
              f:allowAutoConverge: {}
              f:allowPostCopy: {}
              f:allowWorkloadDisruption: {}
              f:bandwidthPerMigration: {}
              f:completionTimeoutPerGiB: {}
              f:nodeDrainTaintKey: {}
              f:parallelMigrationsPerCluster: {}
              f:parallelOutboundMigrationsPerNode: {}
              f:progressTimeout: {}
              f:unsafeMigrationOverride: {}
            f:migrationPolicyName: {}
            f:migrationUid: {}
            f:mode: {}
            f:sourceNode: {}
            f:sourcePod: {}
            f:startTimestamp: {}
            f:targetDirectMigrationNodePorts:
              .: {}
              f:32885: {}
              f:35183: {}
              f:45027: {}
            f:targetNode: {}
            f:targetNodeAddress: {}
            f:targetNodeDomainDetected: {}
            f:targetNodeDomainReadyTimestamp: {}
            f:targetPod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:27:13Z"
    name: kubevirt-workload-update-zsc7k
    namespace: test-upgrade-namespace
    resourceVersion: "2235914"
    uid: 61c622ca-1689-4186-a61c-e6e4c68c4b13
  spec:
    vmiName: vm-for-post-copy-upgrade-test-1761741230-6668174
  status:
    migrationState:
      completed: true
      endTimestamp: "2025-10-29T13:27:13Z"
      migrationConfiguration:
        allowAutoConverge: true
        allowPostCopy: true
        allowWorkloadDisruption: true
        bandwidthPerMigration: 100Mi
        completionTimeoutPerGiB: 1
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationPolicyName: post-copy-migration-policy
      migrationUid: 61c622ca-1689-4186-a61c-e6e4c68c4b13
      mode: PostCopy
      sourceNode: cnvqe-071.lab.eng.tlv2.redhat.com
      sourcePod: virt-launcher-vm-for-post-copy-upgrade-test-1761741230-666z4zq7
      startTimestamp: "2025-10-29T13:27:06Z"
      targetDirectMigrationNodePorts:
        "32885": 0
        "35183": 49152
        "45027": 49153
      targetNode: cnvqe-070.lab.eng.tlv2.redhat.com
      targetNodeAddress: 10.130.0.252
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-10-29T13:27:10Z"
      targetPod: virt-launcher-vm-for-post-copy-upgrade-test-1761741230-666cxqq7
    phase: Succeeded
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:48Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:26:53Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-10-29T13:27:05Z"
    - phase: PreparingTarget
      phaseTransitionTimestamp: "2025-10-29T13:27:05Z"
    - phase: TargetReady
      phaseTransitionTimestamp: "2025-10-29T13:27:06Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-10-29T13:27:06Z"
    - phase: Succeeded
      phaseTransitionTimestamp: "2025-10-29T13:27:13Z"
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstanceMigration
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/workloadUpdateMigration: ""
    creationTimestamp: "2025-10-29T13:26:38Z"
    generateName: kubevirt-workload-update-
    generation: 1
    labels:
      kubevirt.io/vmi-name: rhel-vm-with-instance-type-1761740744-4333003
    managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubevirt.io/latest-observed-api-version: {}
            f:kubevirt.io/storage-observed-api-version: {}
            f:kubevirt.io/workloadUpdateMigration: {}
          f:generateName: {}
        f:spec:
          .: {}
          f:vmiName: {}
      manager: virt-controller
      operation: Update
      time: "2025-10-29T13:26:38Z"
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:migrationState:
            .: {}
            f:completed: {}
            f:endTimestamp: {}
            f:migrationConfiguration:
              .: {}
              f:allowAutoConverge: {}
              f:allowPostCopy: {}
              f:allowWorkloadDisruption: {}
              f:bandwidthPerMigration: {}
              f:completionTimeoutPerGiB: {}
              f:nodeDrainTaintKey: {}
              f:parallelMigrationsPerCluster: {}
              f:parallelOutboundMigrationsPerNode: {}
              f:progressTimeout: {}
              f:unsafeMigrationOverride: {}
            f:migrationUid: {}
            f:mode: {}
            f:sourceNode: {}
            f:sourcePod: {}
            f:startTimestamp: {}
            f:targetDirectMigrationNodePorts:
              .: {}
              f:36529: {}
              f:37319: {}
              f:44819: {}
            f:targetNode: {}
            f:targetNodeAddress: {}
            f:targetNodeDomainDetected: {}
            f:targetNodeDomainReadyTimestamp: {}
            f:targetPod: {}
          f:phase: {}
          f:phaseTransitionTimestamps: {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: "2025-10-29T13:26:51Z"
    name: kubevirt-workload-update-ztjvn
    namespace: test-upgrade-namespace
    resourceVersion: "2235203"
    uid: 6e906867-bd7a-4b5f-82bf-741a3bbb902f
  spec:
    vmiName: rhel-vm-with-instance-type-1761740744-4333003
  status:
    migrationState:
      completed: true
      endTimestamp: "2025-10-29T13:26:51Z"
      migrationConfiguration:
        allowAutoConverge: false
        allowPostCopy: false
        allowWorkloadDisruption: false
        bandwidthPerMigration: "0"
        completionTimeoutPerGiB: 150
        nodeDrainTaintKey: kubevirt.io/drain
        parallelMigrationsPerCluster: 5
        parallelOutboundMigrationsPerNode: 2
        progressTimeout: 150
        unsafeMigrationOverride: false
      migrationUid: 6e906867-bd7a-4b5f-82bf-741a3bbb902f
      mode: PreCopy
      sourceNode: cnvqe-072.lab.eng.tlv2.redhat.com
      sourcePod: virt-launcher-rhel-vm-with-instance-type-1761740744-433300csksq
      startTimestamp: "2025-10-29T13:26:48Z"
      targetDirectMigrationNodePorts:
        "36529": 0
        "37319": 49153
        "44819": 49152
      targetNode: cnvqe-070.lab.eng.tlv2.redhat.com
      targetNodeAddress: 10.130.0.252
      targetNodeDomainDetected: true
      targetNodeDomainReadyTimestamp: "2025-10-29T13:26:51Z"
      targetPod: virt-launcher-rhel-vm-with-instance-type-1761740744-433300skxgm
    phase: Succeeded
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2025-10-29T13:26:38Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2025-10-29T13:26:40Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2025-10-29T13:26:48Z"
    - phase: PreparingTarget
      phaseTransitionTimestamp: "2025-10-29T13:26:48Z"
    - phase: TargetReady
      phaseTransitionTimestamp: "2025-10-29T13:26:48Z"
    - phase: Running
      phaseTransitionTimestamp: "2025-10-29T13:26:48Z"
    - phase: Succeeded
      phaseTransitionTimestamp: "2025-10-29T13:26:51Z"
kind: VirtualMachineInstanceMigrationList
metadata:
  continue: ""
  resourceVersion: "2239321"
